Loading...
Searching...
No Matches
globus_error_string.h File Reference

Error Object Containing a String. More...

`#include "globus_common_include.h"`
`#include "globus_error.h"`

Go to the source code of this file.

## Functions

globus_object_t * | globus_error_construct_string (globus_module_descriptor_t *base_source, globus_object_t *base_cause, const char *fmt,...)

## Detailed Description

Error Object Containing a String.

## Function Documentation

## globus_error_construct_string()

globus_object_t * globus_error_construct_string | ( | globus_module_descriptor_t * | base_source,
|  | globus_object_t * | base_cause,
|  | const char * | fmt,
|  |  | ... )

extern

Allocate and initialize an error of type GLOBUS_ERROR_TYPE_STRING

Parameters

  base_source |
  base_cause |
  fmt |
  ... |